| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Friends | List of all members
Ogre::ParticleIterator Class Reference
Core » Effects

Convenience class to make it easy to step through all particles in a ParticleSystem. More...

`#include <OgreParticleIterator.h>`

## Public Member Functions
bool | end (void)
| Returns true when at the end of the particle list. More...
Particle * | getNext (void)
| Returns a pointer to the next particle, and moves the iterator on by 1 element. More...

## Friends
class | ParticleSystem

## Detailed Description

Convenience class to make it easy to step through all particles in a ParticleSystem.

## Member Function Documentation

## ◆ end()

bool Ogre::ParticleIterator::end | ( | void |  | ) |

Returns true when at the end of the particle list.

## ◆ getNext()

Particle* Ogre::ParticleIterator::getNext | ( | void |  | ) |

Returns a pointer to the next particle, and moves the iterator on by 1 element.

## Friends And Related Function Documentation

## ◆ ParticleSystem

friend class ParticleSystem
| friend

The documentation for this class was generated from the following file:

- OgreParticleIterator.h